package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synAdminOrgToErpFacadeFactory
{
    private synAdminOrgToErpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("EDE7BE48") ,com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("EDE7BE48") ,com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("EDE7BE48"));
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgToErpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("EDE7BE48"));
    }
}